recv.h File Reference

MPD client library. More...

Go to the source code of this file.

## Functions

mpd_malloc struct mpd_pair * | mpd_recv_pair (struct mpd_connection *connection)
mpd_malloc struct mpd_pair * | mpd_recv_pair_named (struct mpd_connection *connection, const char *name)
void | mpd_return_pair (struct mpd_connection *connection, struct mpd_pair *pair)
void | mpd_enqueue_pair (struct mpd_connection *connection, struct mpd_pair *pair)

## Detailed Description

MPD client library.

Receiving response lines from MPD.

Do not include this header directly. Use mpd/client.h instead.

Definition in file recv.h.

## Function Documentation

mpd_malloc struct mpd_pair* mpd_recv_pair | ( | struct mpd_connection * | connection | ) |

Reads the next mpd_pair from the server. Returns NULL if there are no more pairs.

The caller must dispose the pair with either mpd_return_pair() or mpd_enqueue_pair().

mpd_malloc struct mpd_pair* mpd_recv_pair_named | ( | struct mpd_connection * | connection,
|  | const char * | name
| ) |  |

Same as mpd_recv_pair(), but discards all pairs not matching the specified name.

void mpd_return_pair | ( | struct mpd_connection * | connection,
|  | struct mpd_pair * | pair
| ) |  |

Indicates that the pair object is not needed anymore, and can be freed. You must free the previous mpd_pair object before calling mpd_recv_pair() again.

void mpd_enqueue_pair | ( | struct mpd_connection * | connection,
|  | struct mpd_pair * | pair
| ) |  |

Unreads a mpd_pair. You may unread only the one pair you just got from mpd_recv_pair(). Unreading the "NULL" pair is allowed, to allow you to call mpd_recv_pair() again at the end of a response.